%define upstream_name    Test-WWW-Mechanize-Mojo
%define upstream_version 0.0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test::WWW::Mechanize for Mojo / Mojolicious
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(Test::Mojo)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Mojo manpage is an MVC Web Application Framework. the
Test::WWW::Mechanize manpage is a subclass of the WWW::Mechanize manpage
that incorporates features for web application testing. The the
Test::WWW::Mechanize::Mojo manpage module meshes the two to allow easy
testing of the Mojo manpage applications without needing to starting up a
web server.

Testing web applications has always been a bit tricky, normally requiring
starting a web server for your application and making real HTTP requests to
it. This module allows you to test the Mojo manpage web applications but
does not require a server or issue HTTP requests. Instead, it passes the
HTTP request object directly to the Mojo manpage. Thus you do not need to
use a real hostname: "http://localhost/" will do. However, this is
optional. The following two lines of code do exactly the same thing:

  $mech->get_ok('/action');
  $mech->get_ok('http://localhost/action');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Oct 08 2020 tv <tv> 0.0.21-1.mga8
+ Revision: 1632685
- update to 0.0.21

* Sat Feb 15 2020 umeabot <umeabot> 0.0.20-2.mga8
+ Revision: 1528658
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.0.20-1.mga8
+ Revision: 1432108
- update to 0.0.20

* Thu Sep 20 2018 umeabot <umeabot> 0.0.19-2.mga7
+ Revision: 1286834
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 0.0.19-1.mga7
+ Revision: 1226482
- update to 0.0.19

* Tue Oct 03 2017 tv <tv> 0.0.17-2.mga7
+ Revision: 1166942
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.0.17-1.mga7
+ Revision: 1155521
- update to v0.0.17

* Sun Jun 19 2016 pterjan <pterjan> 0.0.16-5.mga6
+ Revision: 1034820
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.0.16-4.mga6
+ Revision: 930692
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.16-3.mga5
+ Revision: 745775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.16-2.mga5
+ Revision: 686571
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.0.16-1.mga5
+ Revision: 581351
- update to v0.0.16

* Sat Oct 19 2013 umeabot <umeabot> 0.0.13-2.mga4
+ Revision: 525267
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.0.13-1.mga4
+ Revision: 432597
- update to v0.0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.0.11-2.mga3
+ Revision: 373907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.0.11-1.mga3
+ Revision: 277654
- imported package perl-Test-WWW-Mechanize-Mojo

